ubuntu/+source/zope.interface:ubuntu/trusty-proposed

Last commit made on 2014-03-23
Get this branch:
git clone -b ubuntu/trusty-proposed https://git.launchpad.net/ubuntu/+source/zope.interface
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/trusty-proposed
Repository:
lp:ubuntu/+source/zope.interface

Recent commits

960dffc... by Matthias Klose on 2014-03-23

Import patches-unapplied version 4.0.5-1ubuntu4 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 7159fd502f5c1baea64a6e9528151ad78b69a0dc

New changelog entries:
  * No-change rebuild to drop Python 3.3 support.

7159fd5... by Matthias Klose on 2014-01-04

Import patches-unapplied version 4.0.5-1ubuntu3 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 414db9736769664086d62dde31ee4a0abd31a1c4

New changelog entries:
  * Rebuild for python3.4 as a supported python version.

414db97... by Gediminas Paulauskas on 2013-06-27

Import patches-unapplied version 4.0.5-1ubuntu2 to ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 1f3cdf55edcec55b1df7df1705b739232ffd3a06

New changelog entries:
  * Merge from Debian. Remaining changes:
    - debian/control: update Build-Depends to allow cross-building the package
      (waiting for Debian to drop python 3.2 support).

1f3cdf5... by Gediminas Paulauskas on 2013-05-24

Import patches-unapplied version 4.0.5-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: bbe70ddbc55ba7bcb470f35193a67e0fd8d4cf8f

New changelog entries:
  * Team upload.
  [ Gediminas Paulauskas ]
  * New upstream release. (Closes: #691509)
  * debian/control:
    - Add Build-Depends on dpkg-dev (>= 1.16.1~) for multiarch support
    - Bump Standards-Version to 3.9.4
    - Update supported Python versions
    - remove python3-zope.fixers from Build-Depends
    - enable autopkgtest (Closes: #692688)
  * debian/rules:
    - README.rst was renamed
  * debian/tests/control: add zope.event
  * debian/copyright: update to copyright-format 1.0
  [ Matthias Klose ]
  * Allow cross-building the package (however dh_python[23] needs to
    get aware of cross builds).
  [ Barry Warsaw ]
  * fix_segfault_py3_64bit_LP_675064.diff: Applied upstream, removed.
  [ Arnaud Fontaine ]
  * debian/rules:
    - CHANGES.txt was renamed to CHANGES.rst.

bbe70dd... by Arnaud Fontaine <email address hidden> on 2012-09-26

Import patches-unapplied version 3.6.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2ab954cfc79353d5b1d064edc81238439190dcbb

New changelog entries:
  * Team upload.
  * Remove setuptools from requires.txt for Python3 (#688838) by overriding
    dh_gencontrol rather than dh_install, otherwise python3-pkg-resources is
    not added as Depends.

2ab954c... by Arnaud Fontaine <email address hidden> on 2012-09-26

Import patches-unapplied version 3.6.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 79606a527099b9ab869ca0779b96ff74f835d201

New changelog entries:
  * Team upload.
  * debian/rules:
    + Make sure that building fails if any python command fails.
    + Remove setuptools from requires.txt for Python3 only as dh_python2
      already take care of that. Closes: #688838.
  * debian/python-zope.interface-dbg.postinst:
    + Properly handle upgrade from Squeeze of /usr/share/doc to a symlink.
      Closes: #687878.

79606a5... by Arnaud Fontaine <email address hidden> on 2011-05-16

Import patches-unapplied version 3.6.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 84bf9fa41d92fcdd9539d581caeabb859abdbb6d

New changelog entries:
  * Team upload.
  [ Brian Sutherland ]
  * New version and incorporate changes from Ubuntu.
  * Enable python3 packages
  * Use dh_python2 rather than dh_pycentral (Closes: #617171)
  * Stop using python-van.pydeb as well, packages has no dependencies or
    setuptools extras.
  * Add testing scripts for python3 version of this package.
  * Backport fixes to C optimizationd from upstream LP: #675064. Reportedly
    causes a segfault on python3 and 64-bit architectures.
  * Switch to dpkg-source 3.0 (quilt) format
  [ Arnaud Fontaine ]
  * debian/control:
    + Add Vcs-Browser and rename XS-Vcs-Svn to Vcs-Svn (now supported by dpkg).
    + Bump Standards-Version to 3.9.2. No changes needed.
    + Remove deprecated XB-Python-Version.
    + Add Homepage field.
  * debian/copyright:
    + Update to last revision.
  [ Matthias Klose ]
  * The egg doesn't require setuptools. LP: #563060.
  * Call setup.py install with --install-layout=deb to install into
    the final location.
  * Build packages for python3.
  * Rebuild to add support for python 2.7.
  * New upstream release.
  * Don't include C source in the package.
  * debian/copyright: update, convert to dep5 format

84bf9fa... by Fabio Tranchitella on 2009-12-22

Import patches-unapplied version 3.5.3-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e43649bb69539128d7fff940df96a1a408d7c4c5

New changelog entries:
  * New upstream release.
  * Convert to debhelper 7 and the pydeb dh7 extension.

e43649b... by Fabio Tranchitella on 2009-11-08

Import patches-unapplied version 3.5.2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: bd842e83b87febbcbb527f4e9d14ee07ffa28b78

New changelog entries:
  [ Matthias Klose ]
  * Set section to zope.
  [ Brian Sutherland ]
  * Set priority to optional as we are depended on by python-zodb which is
    priority optional.
  [ Fabio Tranchitella ]
  * debian/control: build-depend on pyton-vab.pydeb >= 1.3.0-2.
    (Closes: #552973)

bd842e8... by Fabio Tranchitella on 2009-08-28

Import patches-unapplied version 3.5.2-1 to debian/squeeze

Imported using git-ubuntu import.

Changelog parent: 47c0c93f1c4b5280b5fda6e717e4702c5eff78f8

New changelog entries:
  * New upstream release.
  * debian/control: added conflict with zope3.
  * Don't include sources files in the binary package.
  * Depend on python-pkg-resources instead of python-setuptools.
  * Build a python-zope.interface.dbg package.
  [ Michael Bienia ]
  * debian/rules:
    Use the macros from python.mk to determine the library path for python 2.5
    and python 2.6, Closes: #537581.
  * debian/control:
    Bump the needed version of python-all-dev for this.
  [ Brian Sutherland ]
  * debian/rules, debian/control: Changes to above patch to be buildable on
    Lenny. Remove the python.mk include, van.pydeb already includes this
    conditionally. Revert above bump of python-all-dev.